
_MCU_Init:

;Timer_Click.c,15 :: 		void MCU_Init() {
;Timer_Click.c,16 :: 		ANSELA = ANSELB = ANSELC = ANSELE = 0;
	CLRF        ANSELE+0 
	MOVF        ANSELE+0, 0 
	MOVWF       ANSELC+0 
	MOVF        ANSELC+0, 0 
	MOVWF       ANSELB+0 
	MOVF        ANSELB+0, 0 
	MOVWF       ANSELA+0 
;Timer_Click.c,17 :: 		PORTE = 0;
	CLRF        PORTE+0 
;Timer_Click.c,18 :: 		PORTB.B0 = 1;
	BSF         PORTB+0, 0 
;Timer_Click.c,20 :: 		TIMER_EVT = 1;
	BSF         RE1_bit+0, BitPos(RE1_bit+0) 
;Timer_Click.c,21 :: 		I2C1_Init(100000);
	MOVLW       20
	MOVWF       SSP1ADD+0 
	CALL        _I2C1_Init+0, 0
;Timer_Click.c,22 :: 		delay_ms(200);
	MOVLW       3
	MOVWF       R11, 0
	MOVLW       8
	MOVWF       R12, 0
	MOVLW       119
	MOVWF       R13, 0
L_MCU_Init0:
	DECFSZ      R13, 1, 1
	BRA         L_MCU_Init0
	DECFSZ      R12, 1, 1
	BRA         L_MCU_Init0
	DECFSZ      R11, 1, 1
	BRA         L_MCU_Init0
;Timer_Click.c,24 :: 		Uart1_Init(9600);
	BSF         BAUDCON+0, 3, 0
	CLRF        SPBRGH+0 
	MOVLW       207
	MOVWF       SPBRG+0 
	BSF         TXSTA+0, 2, 0
	CALL        _UART1_Init+0, 0
;Timer_Click.c,25 :: 		Uart1_Write_Text("Uart ready! \r\n");
	MOVLW       ?lstr1_Timer_Click+0
	MOVWF       FARG_UART1_Write_Text_uart_text+0 
	MOVLW       hi_addr(?lstr1_Timer_Click+0)
	MOVWF       FARG_UART1_Write_Text_uart_text+1 
	CALL        _UART1_Write_Text+0, 0
;Timer_Click.c,26 :: 		}
L_end_MCU_Init:
	RETURN      0
; end of _MCU_Init

_main:

;Timer_Click.c,28 :: 		void main() {
;Timer_Click.c,29 :: 		MCU_Init();
	CALL        _MCU_Init+0, 0
;Timer_Click.c,30 :: 		timer_hal_init(DS1682_I2C_Adr);
	MOVLW       107
	MOVWF       FARG_timer_hal_init_address_id+0 
	CALL        _timer_hal_init+0, 0
;Timer_Click.c,39 :: 		while(1) {
L_main1:
;Timer_Click.c,40 :: 		delay_ms(2000);
	MOVLW       21
	MOVWF       R11, 0
	MOVLW       75
	MOVWF       R12, 0
	MOVLW       190
	MOVWF       R13, 0
L_main3:
	DECFSZ      R13, 1, 1
	BRA         L_main3
	DECFSZ      R12, 1, 1
	BRA         L_main3
	DECFSZ      R11, 1, 1
	BRA         L_main3
	NOP
;Timer_Click.c,42 :: 		Uart1_Write_Text("Event counter: ");
	MOVLW       ?lstr2_Timer_Click+0
	MOVWF       FARG_UART1_Write_Text_uart_text+0 
	MOVLW       hi_addr(?lstr2_Timer_Click+0)
	MOVWF       FARG_UART1_Write_Text_uart_text+1 
	CALL        _UART1_Write_Text+0, 0
;Timer_Click.c,43 :: 		EC = timer_Get_EC_Value();
	CALL        _timer_get_ec_value+0, 0
	MOVF        R0, 0 
	MOVWF       _EC+0 
	MOVF        R1, 0 
	MOVWF       _EC+1 
;Timer_Click.c,44 :: 		WordToStr(EC,tekst);
	MOVF        R0, 0 
	MOVWF       FARG_WordToStr_input+0 
	MOVF        R1, 0 
	MOVWF       FARG_WordToStr_input+1 
	MOVLW       _tekst+0
	MOVWF       FARG_WordToStr_output+0 
	MOVLW       hi_addr(_tekst+0)
	MOVWF       FARG_WordToStr_output+1 
	CALL        _WordToStr+0, 0
;Timer_Click.c,45 :: 		UART1_Write_Text(tekst);
	MOVLW       _tekst+0
	MOVWF       FARG_UART1_Write_Text_uart_text+0 
	MOVLW       hi_addr(_tekst+0)
	MOVWF       FARG_UART1_Write_Text_uart_text+1 
	CALL        _UART1_Write_Text+0, 0
;Timer_Click.c,46 :: 		UART1_Write_Text("\r\n");
	MOVLW       ?lstr3_Timer_Click+0
	MOVWF       FARG_UART1_Write_Text_uart_text+0 
	MOVLW       hi_addr(?lstr3_Timer_Click+0)
	MOVWF       FARG_UART1_Write_Text_uart_text+1 
	CALL        _UART1_Write_Text+0, 0
;Timer_Click.c,48 :: 		ETC = timer_get_ETC_value();
	CALL        _timer_get_etc_value+0, 0
	MOVF        R0, 0 
	MOVWF       _ETC+0 
	MOVF        R1, 0 
	MOVWF       _ETC+1 
	MOVF        R2, 0 
	MOVWF       _ETC+2 
	MOVF        R3, 0 
	MOVWF       _ETC+3 
;Timer_Click.c,49 :: 		Uart1_Write_Text("Timer counter: ");
	MOVLW       ?lstr4_Timer_Click+0
	MOVWF       FARG_UART1_Write_Text_uart_text+0 
	MOVLW       hi_addr(?lstr4_Timer_Click+0)
	MOVWF       FARG_UART1_Write_Text_uart_text+1 
	CALL        _UART1_Write_Text+0, 0
;Timer_Click.c,50 :: 		LongWordToStr(ETC,tekst);
	MOVF        _ETC+0, 0 
	MOVWF       FARG_LongWordToStr_input+0 
	MOVF        _ETC+1, 0 
	MOVWF       FARG_LongWordToStr_input+1 
	MOVF        _ETC+2, 0 
	MOVWF       FARG_LongWordToStr_input+2 
	MOVF        _ETC+3, 0 
	MOVWF       FARG_LongWordToStr_input+3 
	MOVLW       _tekst+0
	MOVWF       FARG_LongWordToStr_output+0 
	MOVLW       hi_addr(_tekst+0)
	MOVWF       FARG_LongWordToStr_output+1 
	CALL        _LongWordToStr+0, 0
;Timer_Click.c,51 :: 		UART1_Write_Text(tekst);
	MOVLW       _tekst+0
	MOVWF       FARG_UART1_Write_Text_uart_text+0 
	MOVLW       hi_addr(_tekst+0)
	MOVWF       FARG_UART1_Write_Text_uart_text+1 
	CALL        _UART1_Write_Text+0, 0
;Timer_Click.c,52 :: 		UART1_Write_Text("\r\n");
	MOVLW       ?lstr5_Timer_Click+0
	MOVWF       FARG_UART1_Write_Text_uart_text+0 
	MOVLW       hi_addr(?lstr5_Timer_Click+0)
	MOVWF       FARG_UART1_Write_Text_uart_text+1 
	CALL        _UART1_Write_Text+0, 0
;Timer_Click.c,53 :: 		}
	GOTO        L_main1
;Timer_Click.c,54 :: 		}
L_end_main:
	GOTO        $+0
; end of _main
