#line 1 "C:/Users/Viktor/Desktop/timer_click/PIC/Timer_Click.c"
#line 1 "c:/users/viktor/desktop/timer_click/pic/timer_hw.h"
#line 1 "c:/users/viktor/desktop/timer_click/pic/timer_hal.h"
#line 1 "c:/users/public/documents/mikroelektronika/mikroc pro for pic/include/stdint.h"




typedef signed char int8_t;
typedef signed int int16_t;
typedef signed long int int32_t;


typedef unsigned char uint8_t;
typedef unsigned int uint16_t;
typedef unsigned long int uint32_t;


typedef signed char int_least8_t;
typedef signed int int_least16_t;
typedef signed long int int_least32_t;


typedef unsigned char uint_least8_t;
typedef unsigned int uint_least16_t;
typedef unsigned long int uint_least32_t;



typedef signed char int_fast8_t;
typedef signed int int_fast16_t;
typedef signed long int int_fast32_t;


typedef unsigned char uint_fast8_t;
typedef unsigned int uint_fast16_t;
typedef unsigned long int uint_fast32_t;


typedef signed int intptr_t;
typedef unsigned int uintptr_t;


typedef signed long int intmax_t;
typedef unsigned long int uintmax_t;
#line 71 "c:/users/viktor/desktop/timer_click/pic/timer_hal.h"
void timer_hal_init( uint8_t address_id );
#line 83 "c:/users/viktor/desktop/timer_click/pic/timer_hal.h"
void timer_hal_write( uint8_t *command,
 uint8_t *buffer,
 uint8_t count );
#line 97 "c:/users/viktor/desktop/timer_click/pic/timer_hal.h"
void timer_hal_read( uint8_t *command,
 uint8_t *buffer,
 uint8_t count );
#line 1 "c:/users/public/documents/mikroelektronika/mikroc pro for pic/include/stdbool.h"



 typedef char _Bool;
#line 4 "c:/users/viktor/desktop/timer_click/pic/timer_hw.h"
void timer_read_eeprom(uint8_t* buffer, uint8_t count);

void timer_write_eeprom(uint8_t* buffer, uint8_t count);

uint32_t timer_get_etc_value();

void timer_set_etc_value(uint32_t _value);

uint16_t timer_get_ec_value();

void timer_set_ec_value(uint16_t _value);

uint16_t timer_get_alarm_value();
#line 26 "c:/users/viktor/desktop/timer_click/pic/timer_hw.h"
void set_alarm_value(uint32_t _value);
#line 35 "c:/users/viktor/desktop/timer_click/pic/timer_hw.h"
void timer_set_write_disable();
#line 44 "c:/users/viktor/desktop/timer_click/pic/timer_hw.h"
void timer_set_write_memory_disable();


int8_t alarm_output_select(uint8_t select);

void reset_enable( _Bool  enable);

int8_t set_alarm_polarity(uint8_t polarity);



void timer_reset_device();
#line 7 "C:/Users/Viktor/Desktop/timer_click/PIC/Timer_Click.c"
sbit TIMER_EVT at RE1_bit;
sbit TIMER_ALM at RB0_bit;

char tekst[24];
unsigned long ETC;
unsigned int EC;


void MCU_Init() {
 ANSELA = ANSELB = ANSELC = ANSELE = 0;
 PORTE = 0;
 PORTB.B0 = 1;

 TIMER_EVT = 1;
 I2C1_Init(100000);
 delay_ms(200);

 Uart1_Init(9600);
 Uart1_Write_Text("Uart ready! \r\n");
}

void main() {
 MCU_Init();
 timer_hal_init( 0x6B );
#line 39 "C:/Users/Viktor/Desktop/timer_click/PIC/Timer_Click.c"
 while(1) {
 delay_ms(2000);

 Uart1_Write_Text("Event counter: ");
 EC = timer_Get_EC_Value();
 WordToStr(EC,tekst);
 UART1_Write_Text(tekst);
 UART1_Write_Text("\r\n");

 ETC = timer_get_ETC_value();
 Uart1_Write_Text("Timer counter: ");
 LongWordToStr(ETC,tekst);
 UART1_Write_Text(tekst);
 UART1_Write_Text("\r\n");
 }
}
