
_timer_hal_init:

;timer_hal.c,132 :: 		void timer_hal_init( uint8_t address_id )
;timer_hal.c,170 :: 		is_idle_i2c_p = I2C1_Is_Idle;
	MOVLW       _I2C1_Is_Idle+0
	MOVWF       timer_hal_is_idle_i2c_p+0 
	MOVLW       hi_addr(_I2C1_Is_Idle+0)
	MOVWF       timer_hal_is_idle_i2c_p+1 
	MOVLW       0
	MOVWF       timer_hal_is_idle_i2c_p+2 
	MOVLW       0
	MOVWF       timer_hal_is_idle_i2c_p+3 
;timer_hal.c,171 :: 		start_i2c_p = I2C1_Start;
	MOVLW       _I2C1_Start+0
	MOVWF       timer_hal_start_i2c_p+0 
	MOVLW       hi_addr(_I2C1_Start+0)
	MOVWF       timer_hal_start_i2c_p+1 
	MOVLW       0
	MOVWF       timer_hal_start_i2c_p+2 
	MOVLW       0
	MOVWF       timer_hal_start_i2c_p+3 
;timer_hal.c,172 :: 		stop_i2c_p = I2C1_Stop;
	MOVLW       _I2C1_Stop+0
	MOVWF       timer_hal_stop_i2c_p+0 
	MOVLW       hi_addr(_I2C1_Stop+0)
	MOVWF       timer_hal_stop_i2c_p+1 
	MOVLW       0
	MOVWF       timer_hal_stop_i2c_p+2 
	MOVLW       0
	MOVWF       timer_hal_stop_i2c_p+3 
;timer_hal.c,173 :: 		restart_i2c_p = I2C1_Repeated_Start;
	MOVLW       _I2C1_Repeated_Start+0
	MOVWF       timer_hal_restart_i2c_p+0 
	MOVLW       hi_addr(_I2C1_Repeated_Start+0)
	MOVWF       timer_hal_restart_i2c_p+1 
	MOVLW       0
	MOVWF       timer_hal_restart_i2c_p+2 
	MOVLW       0
	MOVWF       timer_hal_restart_i2c_p+3 
;timer_hal.c,174 :: 		write_i2c_p = I2C1_Wr;
	MOVLW       _I2C1_Wr+0
	MOVWF       timer_hal_write_i2c_p+0 
	MOVLW       hi_addr(_I2C1_Wr+0)
	MOVWF       timer_hal_write_i2c_p+1 
	MOVLW       FARG_I2C1_Wr_data_+0
	MOVWF       timer_hal_write_i2c_p+2 
	MOVLW       hi_addr(FARG_I2C1_Wr_data_+0)
	MOVWF       timer_hal_write_i2c_p+3 
;timer_hal.c,175 :: 		read_i2c_p = I2C1_Rd;
	MOVLW       _I2C1_Rd+0
	MOVWF       timer_hal_read_i2c_p+0 
	MOVLW       hi_addr(_I2C1_Rd+0)
	MOVWF       timer_hal_read_i2c_p+1 
	MOVLW       FARG_I2C1_Rd_ack+0
	MOVWF       timer_hal_read_i2c_p+2 
	MOVLW       hi_addr(FARG_I2C1_Rd_ack+0)
	MOVWF       timer_hal_read_i2c_p+3 
;timer_hal.c,216 :: 		_i2c_hw_address = ( address_id << 1 );
	MOVF        FARG_timer_hal_init_address_id+0, 0 
	MOVWF       timer_hal__i2c_hw_address+0 
	RLCF        timer_hal__i2c_hw_address+0, 1 
	BCF         timer_hal__i2c_hw_address+0, 0 
;timer_hal.c,218 :: 		}
L_end_timer_hal_init:
	RETURN      0
; end of _timer_hal_init

_timer_hal_write:

;timer_hal.c,223 :: 		uint8_t count )
;timer_hal.c,226 :: 		uint8_t cmd_size = COMMAND_SIZE;
	MOVLW       1
	MOVWF       timer_hal_write_cmd_size_L0+0 
	CLRF        timer_hal_write_i_L0+0 
	CLRF        timer_hal_write_i_L0+1 
;timer_hal.c,228 :: 		uint8_t *temp_ptr = temp;
	MOVLW       timer_hal_write_temp_L0+0
	MOVWF       timer_hal_write_temp_ptr_L0+0 
	MOVLW       hi_addr(timer_hal_write_temp_L0+0)
	MOVWF       timer_hal_write_temp_ptr_L0+1 
;timer_hal.c,229 :: 		uint8_t *buff_ptr = buffer;
	MOVF        FARG_timer_hal_write_buffer+0, 0 
	MOVWF       timer_hal_write_buff_ptr_L0+0 
	MOVF        FARG_timer_hal_write_buffer+1, 0 
	MOVWF       timer_hal_write_buff_ptr_L0+1 
;timer_hal.c,230 :: 		uint8_t *cmd_ptr = command;
	MOVF        FARG_timer_hal_write_command+0, 0 
	MOVWF       timer_hal_write_cmd_ptr_L0+0 
	MOVF        FARG_timer_hal_write_command+1, 0 
	MOVWF       timer_hal_write_cmd_ptr_L0+1 
;timer_hal.c,232 :: 		while( cmd_size-- )
L_timer_hal_write0:
	MOVF        timer_hal_write_cmd_size_L0+0, 0 
	MOVWF       R0 
	DECF        timer_hal_write_cmd_size_L0+0, 1 
	MOVF        R0, 1 
	BTFSC       STATUS+0, 2 
	GOTO        L_timer_hal_write1
;timer_hal.c,233 :: 		temp[ i++ ] = *( cmd_ptr++ );
	MOVLW       timer_hal_write_temp_L0+0
	ADDWF       timer_hal_write_i_L0+0, 0 
	MOVWF       FSR1 
	MOVLW       hi_addr(timer_hal_write_temp_L0+0)
	ADDWFC      timer_hal_write_i_L0+1, 0 
	MOVWF       FSR1H 
	MOVFF       timer_hal_write_cmd_ptr_L0+0, FSR0
	MOVFF       timer_hal_write_cmd_ptr_L0+1, FSR0H
	MOVF        POSTINC0+0, 0 
	MOVWF       POSTINC1+0 
	INFSNZ      timer_hal_write_i_L0+0, 1 
	INCF        timer_hal_write_i_L0+1, 1 
	INFSNZ      timer_hal_write_cmd_ptr_L0+0, 1 
	INCF        timer_hal_write_cmd_ptr_L0+1, 1 
	GOTO        L_timer_hal_write0
L_timer_hal_write1:
;timer_hal.c,235 :: 		while ( count-- )
L_timer_hal_write2:
	MOVF        FARG_timer_hal_write_count+0, 0 
	MOVWF       R0 
	DECF        FARG_timer_hal_write_count+0, 1 
	MOVF        R0, 1 
	BTFSC       STATUS+0, 2 
	GOTO        L_timer_hal_write3
;timer_hal.c,236 :: 		temp[ i++ ] = *( buff_ptr++ );
	MOVLW       timer_hal_write_temp_L0+0
	ADDWF       timer_hal_write_i_L0+0, 0 
	MOVWF       FSR1 
	MOVLW       hi_addr(timer_hal_write_temp_L0+0)
	ADDWFC      timer_hal_write_i_L0+1, 0 
	MOVWF       FSR1H 
	MOVFF       timer_hal_write_buff_ptr_L0+0, FSR0
	MOVFF       timer_hal_write_buff_ptr_L0+1, FSR0H
	MOVF        POSTINC0+0, 0 
	MOVWF       POSTINC1+0 
	INFSNZ      timer_hal_write_i_L0+0, 1 
	INCF        timer_hal_write_i_L0+1, 1 
	INFSNZ      timer_hal_write_buff_ptr_L0+0, 1 
	INCF        timer_hal_write_buff_ptr_L0+1, 1 
	GOTO        L_timer_hal_write2
L_timer_hal_write3:
;timer_hal.c,271 :: 		start_i2c_p();
	MOVF        timer_hal_start_i2c_p+0, 0 
	MOVWF       R0 
	MOVF        timer_hal_start_i2c_p+1, 0 
	MOVWF       R1 
	CALL        _____DoIFC+0, 0
;timer_hal.c,272 :: 		write_i2c_p( _i2c_hw_address | WRITE_BIT );
	MOVF        timer_hal_write_i2c_p+2, 0 
	MOVWF       FSR1 
	MOVF        timer_hal_write_i2c_p+3, 0 
	MOVWF       FSR1H 
	MOVF        timer_hal__i2c_hw_address+0, 0 
	MOVWF       POSTINC1+0 
	MOVF        timer_hal_write_i2c_p+0, 0 
	MOVWF       R0 
	MOVF        timer_hal_write_i2c_p+1, 0 
	MOVWF       R1 
	CALL        _____DoIFC+0, 0
;timer_hal.c,274 :: 		while( i-- )
L_timer_hal_write4:
	MOVF        timer_hal_write_i_L0+0, 0 
	MOVWF       R0 
	MOVF        timer_hal_write_i_L0+1, 0 
	MOVWF       R1 
	MOVLW       1
	SUBWF       timer_hal_write_i_L0+0, 1 
	MOVLW       0
	SUBWFB      timer_hal_write_i_L0+1, 1 
	MOVF        R0, 0 
	IORWF       R1, 0 
	BTFSC       STATUS+0, 2 
	GOTO        L_timer_hal_write5
;timer_hal.c,275 :: 		write_i2c_p( *( temp_ptr++ ) );
	MOVF        timer_hal_write_i2c_p+2, 0 
	MOVWF       FSR1 
	MOVF        timer_hal_write_i2c_p+3, 0 
	MOVWF       FSR1H 
	MOVFF       timer_hal_write_temp_ptr_L0+0, FSR0
	MOVFF       timer_hal_write_temp_ptr_L0+1, FSR0H
	MOVF        POSTINC0+0, 0 
	MOVWF       POSTINC1+0 
	MOVF        timer_hal_write_i2c_p+0, 0 
	MOVWF       R0 
	MOVF        timer_hal_write_i2c_p+1, 0 
	MOVWF       R1 
	CALL        _____DoIFC+0, 0
	INFSNZ      timer_hal_write_temp_ptr_L0+0, 1 
	INCF        timer_hal_write_temp_ptr_L0+1, 1 
	GOTO        L_timer_hal_write4
L_timer_hal_write5:
;timer_hal.c,277 :: 		stop_i2c_p();
	MOVF        timer_hal_stop_i2c_p+0, 0 
	MOVWF       R0 
	MOVF        timer_hal_stop_i2c_p+1, 0 
	MOVWF       R1 
	CALL        _____DoIFC+0, 0
;timer_hal.c,279 :: 		}
L_end_timer_hal_write:
	RETURN      0
; end of _timer_hal_write

_timer_hal_read:

;timer_hal.c,283 :: 		uint8_t count )
;timer_hal.c,285 :: 		uint8_t *cmd_ptr = command;
	MOVF        FARG_timer_hal_read_command+0, 0 
	MOVWF       timer_hal_read_cmd_ptr_L0+0 
	MOVF        FARG_timer_hal_read_command+1, 0 
	MOVWF       timer_hal_read_cmd_ptr_L0+1 
;timer_hal.c,286 :: 		uint8_t *buff_ptr = buffer;
	MOVF        FARG_timer_hal_read_buffer+0, 0 
	MOVWF       timer_hal_read_buff_ptr_L0+0 
	MOVF        FARG_timer_hal_read_buffer+1, 0 
	MOVWF       timer_hal_read_buff_ptr_L0+1 
;timer_hal.c,287 :: 		uint8_t cmd_size = COMMAND_SIZE;
	MOVLW       1
	MOVWF       timer_hal_read_cmd_size_L0+0 
;timer_hal.c,345 :: 		start_i2c_p();
	MOVF        timer_hal_start_i2c_p+0, 0 
	MOVWF       R0 
	MOVF        timer_hal_start_i2c_p+1, 0 
	MOVWF       R1 
	CALL        _____DoIFC+0, 0
;timer_hal.c,346 :: 		write_i2c_p( _i2c_hw_address | WRITE_BIT );
	MOVF        timer_hal_write_i2c_p+2, 0 
	MOVWF       FSR1 
	MOVF        timer_hal_write_i2c_p+3, 0 
	MOVWF       FSR1H 
	MOVF        timer_hal__i2c_hw_address+0, 0 
	MOVWF       POSTINC1+0 
	MOVF        timer_hal_write_i2c_p+0, 0 
	MOVWF       R0 
	MOVF        timer_hal_write_i2c_p+1, 0 
	MOVWF       R1 
	CALL        _____DoIFC+0, 0
;timer_hal.c,348 :: 		while ( cmd_size-- )
L_timer_hal_read6:
	MOVF        timer_hal_read_cmd_size_L0+0, 0 
	MOVWF       R0 
	DECF        timer_hal_read_cmd_size_L0+0, 1 
	MOVF        R0, 1 
	BTFSC       STATUS+0, 2 
	GOTO        L_timer_hal_read7
;timer_hal.c,349 :: 		write_i2c_p( *( cmd_ptr++ ) );
	MOVF        timer_hal_write_i2c_p+2, 0 
	MOVWF       FSR1 
	MOVF        timer_hal_write_i2c_p+3, 0 
	MOVWF       FSR1H 
	MOVFF       timer_hal_read_cmd_ptr_L0+0, FSR0
	MOVFF       timer_hal_read_cmd_ptr_L0+1, FSR0H
	MOVF        POSTINC0+0, 0 
	MOVWF       POSTINC1+0 
	MOVF        timer_hal_write_i2c_p+0, 0 
	MOVWF       R0 
	MOVF        timer_hal_write_i2c_p+1, 0 
	MOVWF       R1 
	CALL        _____DoIFC+0, 0
	INFSNZ      timer_hal_read_cmd_ptr_L0+0, 1 
	INCF        timer_hal_read_cmd_ptr_L0+1, 1 
	GOTO        L_timer_hal_read6
L_timer_hal_read7:
;timer_hal.c,351 :: 		stop_i2c_p();
	MOVF        timer_hal_stop_i2c_p+0, 0 
	MOVWF       R0 
	MOVF        timer_hal_stop_i2c_p+1, 0 
	MOVWF       R1 
	CALL        _____DoIFC+0, 0
;timer_hal.c,352 :: 		start_i2c_p();
	MOVF        timer_hal_start_i2c_p+0, 0 
	MOVWF       R0 
	MOVF        timer_hal_start_i2c_p+1, 0 
	MOVWF       R1 
	CALL        _____DoIFC+0, 0
;timer_hal.c,353 :: 		write_i2c_p( _i2c_hw_address | READ_BIT );
	MOVLW       1
	IORWF       timer_hal__i2c_hw_address+0, 0 
	MOVWF       R0 
	MOVF        timer_hal_write_i2c_p+2, 0 
	MOVWF       FSR1 
	MOVF        timer_hal_write_i2c_p+3, 0 
	MOVWF       FSR1H 
	MOVF        R0, 0 
	MOVWF       POSTINC1+0 
	MOVF        timer_hal_write_i2c_p+0, 0 
	MOVWF       R0 
	MOVF        timer_hal_write_i2c_p+1, 0 
	MOVWF       R1 
	CALL        _____DoIFC+0, 0
;timer_hal.c,355 :: 		while( count-- > 1 )
L_timer_hal_read8:
	MOVF        FARG_timer_hal_read_count+0, 0 
	MOVWF       R1 
	DECF        FARG_timer_hal_read_count+0, 1 
	MOVF        R1, 0 
	SUBLW       1
	BTFSC       STATUS+0, 0 
	GOTO        L_timer_hal_read9
;timer_hal.c,357 :: 		*( buff_ptr++ ) = read_i2c_p( ACK_BIT );
	MOVF        timer_hal_read_i2c_p+2, 0 
	MOVWF       FSR1 
	MOVF        timer_hal_read_i2c_p+3, 0 
	MOVWF       FSR1H 
	MOVF        timer_hal_ACK_BIT+0, 0 
	MOVWF       POSTINC1+0 
	MOVF        timer_hal_read_i2c_p+0, 0 
	MOVWF       R0 
	MOVF        timer_hal_read_i2c_p+1, 0 
	MOVWF       R1 
	CALL        _____DoIFC+0, 0
	MOVFF       timer_hal_read_buff_ptr_L0+0, FSR1
	MOVFF       timer_hal_read_buff_ptr_L0+1, FSR1H
	MOVF        R0, 0 
	MOVWF       POSTINC1+0 
	INFSNZ      timer_hal_read_buff_ptr_L0+0, 1 
	INCF        timer_hal_read_buff_ptr_L0+1, 1 
;timer_hal.c,358 :: 		}
	GOTO        L_timer_hal_read8
L_timer_hal_read9:
;timer_hal.c,360 :: 		*buff_ptr = read_i2c_p( NACK_BIT );
	MOVF        timer_hal_read_i2c_p+2, 0 
	MOVWF       FSR1 
	MOVF        timer_hal_read_i2c_p+3, 0 
	MOVWF       FSR1H 
	MOVF        timer_hal_NACK_BIT+0, 0 
	MOVWF       POSTINC1+0 
	MOVF        timer_hal_read_i2c_p+0, 0 
	MOVWF       R0 
	MOVF        timer_hal_read_i2c_p+1, 0 
	MOVWF       R1 
	CALL        _____DoIFC+0, 0
	MOVFF       timer_hal_read_buff_ptr_L0+0, FSR1
	MOVFF       timer_hal_read_buff_ptr_L0+1, FSR1H
	MOVF        R0, 0 
	MOVWF       POSTINC1+0 
;timer_hal.c,362 :: 		stop_i2c_p();
	MOVF        timer_hal_stop_i2c_p+0, 0 
	MOVWF       R0 
	MOVF        timer_hal_stop_i2c_p+1, 0 
	MOVWF       R1 
	CALL        _____DoIFC+0, 0
;timer_hal.c,364 :: 		}
L_end_timer_hal_read:
	RETURN      0
; end of _timer_hal_read
