
_timer_read_eeprom:

;timer_hw.c,8 :: 		void timer_read_eeprom(uint8_t* buffer, uint8_t count)
;timer_hw.c,10 :: 		uint8_t* tmp_ptr = buffer;
	MOVF        FARG_timer_read_eeprom_buffer+0, 0 
	MOVWF       timer_read_eeprom_tmp_ptr_L0+0 
	MOVF        FARG_timer_read_eeprom_buffer+1, 0 
	MOVWF       timer_read_eeprom_tmp_ptr_L0+1 
;timer_hw.c,11 :: 		uint8_t tmp_adr = DS1682_REG_EEPROM;
	MOVLW       11
	MOVWF       timer_read_eeprom_tmp_adr_L0+0 
;timer_hw.c,12 :: 		timer_hal_read(&tmp_adr,tmp_ptr,count);
	MOVLW       timer_read_eeprom_tmp_adr_L0+0
	MOVWF       FARG_timer_hal_read_command+0 
	MOVLW       hi_addr(timer_read_eeprom_tmp_adr_L0+0)
	MOVWF       FARG_timer_hal_read_command+1 
	MOVF        timer_read_eeprom_tmp_ptr_L0+0, 0 
	MOVWF       FARG_timer_hal_read_buffer+0 
	MOVF        timer_read_eeprom_tmp_ptr_L0+1, 0 
	MOVWF       FARG_timer_hal_read_buffer+1 
	MOVF        FARG_timer_read_eeprom_count+0, 0 
	MOVWF       FARG_timer_hal_read_count+0 
	CALL        _timer_hal_read+0, 0
;timer_hw.c,13 :: 		}
L_end_timer_read_eeprom:
	RETURN      0
; end of _timer_read_eeprom

_timer_write_eeprom:

;timer_hw.c,15 :: 		void timer_write_eeprom(uint8_t* buffer, uint8_t count)
;timer_hw.c,17 :: 		uint8_t* tmp_ptr = buffer;
	MOVF        FARG_timer_write_eeprom_buffer+0, 0 
	MOVWF       timer_write_eeprom_tmp_ptr_L0+0 
	MOVF        FARG_timer_write_eeprom_buffer+1, 0 
	MOVWF       timer_write_eeprom_tmp_ptr_L0+1 
;timer_hw.c,18 :: 		uint8_t tmp_adr = DS1682_REG_EEPROM;
	MOVLW       11
	MOVWF       timer_write_eeprom_tmp_adr_L0+0 
;timer_hw.c,19 :: 		timer_hal_write(&tmp_adr, tmp_ptr, count);
	MOVLW       timer_write_eeprom_tmp_adr_L0+0
	MOVWF       FARG_timer_hal_write_command+0 
	MOVLW       hi_addr(timer_write_eeprom_tmp_adr_L0+0)
	MOVWF       FARG_timer_hal_write_command+1 
	MOVF        timer_write_eeprom_tmp_ptr_L0+0, 0 
	MOVWF       FARG_timer_hal_write_buffer+0 
	MOVF        timer_write_eeprom_tmp_ptr_L0+1, 0 
	MOVWF       FARG_timer_hal_write_buffer+1 
	MOVF        FARG_timer_write_eeprom_count+0, 0 
	MOVWF       FARG_timer_hal_write_count+0 
	CALL        _timer_hal_write+0, 0
;timer_hw.c,20 :: 		}
L_end_timer_write_eeprom:
	RETURN      0
; end of _timer_write_eeprom

_timer_get_etc_value:

;timer_hw.c,22 :: 		uint32_t timer_get_etc_value()
;timer_hw.c,25 :: 		uint8_t temp_addr = DS1682_REG_ELAPSED;
	MOVLW       5
	MOVWF       timer_get_etc_value_temp_addr_L0+0 
;timer_hw.c,26 :: 		timer_hal_read(&temp_addr,tmp_buffer,4);
	MOVLW       timer_get_etc_value_temp_addr_L0+0
	MOVWF       FARG_timer_hal_read_command+0 
	MOVLW       hi_addr(timer_get_etc_value_temp_addr_L0+0)
	MOVWF       FARG_timer_hal_read_command+1 
	MOVLW       timer_get_etc_value_tmp_buffer_L0+0
	MOVWF       FARG_timer_hal_read_buffer+0 
	MOVLW       hi_addr(timer_get_etc_value_tmp_buffer_L0+0)
	MOVWF       FARG_timer_hal_read_buffer+1 
	MOVLW       4
	MOVWF       FARG_timer_hal_read_count+0 
	CALL        _timer_hal_read+0, 0
;timer_hw.c,27 :: 		return (tmp_buffer[3] << 24) + (tmp_buffer[2] << 16) + (tmp_buffer[1] << 8) + tmp_buffer[0];
	MOVF        timer_get_etc_value_tmp_buffer_L0+1, 0 
	MOVWF       R1 
	CLRF        R0 
	MOVF        timer_get_etc_value_tmp_buffer_L0+0, 0 
	ADDWF       R0, 1 
	MOVLW       0
	ADDWFC      R1, 1 
	MOVLW       0
	MOVWF       R2 
	MOVWF       R3 
;timer_hw.c,29 :: 		}
L_end_timer_get_etc_value:
	RETURN      0
; end of _timer_get_etc_value

_timer_set_etc_value:

;timer_hw.c,32 :: 		void timer_set_etc_value(uint32_t _value)
;timer_hw.c,35 :: 		uint8_t tmp_adr =DS1682_REG_ELAPSED;
	MOVLW       5
	MOVWF       timer_set_etc_value_tmp_adr_L0+0 
;timer_hw.c,36 :: 		value_data[0] = (char) _value;
	MOVF        FARG_timer_set_etc_value__value+0, 0 
	MOVWF       timer_set_etc_value_value_data_L0+0 
;timer_hw.c,37 :: 		value_data[1] = (char) (_value >> 8);
	MOVF        FARG_timer_set_etc_value__value+1, 0 
	MOVWF       R0 
	MOVF        FARG_timer_set_etc_value__value+2, 0 
	MOVWF       R1 
	MOVF        FARG_timer_set_etc_value__value+3, 0 
	MOVWF       R2 
	CLRF        R3 
	MOVF        R0, 0 
	MOVWF       timer_set_etc_value_value_data_L0+1 
;timer_hw.c,38 :: 		value_data[2] = (char) (_value >> 16);
	MOVF        FARG_timer_set_etc_value__value+2, 0 
	MOVWF       R0 
	MOVF        FARG_timer_set_etc_value__value+3, 0 
	MOVWF       R1 
	CLRF        R2 
	CLRF        R3 
	MOVF        R0, 0 
	MOVWF       timer_set_etc_value_value_data_L0+2 
;timer_hw.c,39 :: 		value_data[3] = (char) (_value >> 24);
	MOVF        FARG_timer_set_etc_value__value+3, 0 
	MOVWF       R0 
	CLRF        R1 
	CLRF        R2 
	CLRF        R3 
	MOVF        R0, 0 
	MOVWF       timer_set_etc_value_value_data_L0+3 
;timer_hw.c,41 :: 		timer_hal_write(&tmp_adr,value_data, 4);
	MOVLW       timer_set_etc_value_tmp_adr_L0+0
	MOVWF       FARG_timer_hal_write_command+0 
	MOVLW       hi_addr(timer_set_etc_value_tmp_adr_L0+0)
	MOVWF       FARG_timer_hal_write_command+1 
	MOVLW       timer_set_etc_value_value_data_L0+0
	MOVWF       FARG_timer_hal_write_buffer+0 
	MOVLW       hi_addr(timer_set_etc_value_value_data_L0+0)
	MOVWF       FARG_timer_hal_write_buffer+1 
	MOVLW       4
	MOVWF       FARG_timer_hal_write_count+0 
	CALL        _timer_hal_write+0, 0
;timer_hw.c,42 :: 		}
L_end_timer_set_etc_value:
	RETURN      0
; end of _timer_set_etc_value

_timer_get_ec_value:

;timer_hw.c,44 :: 		uint16_t timer_get_ec_value()
;timer_hw.c,47 :: 		uint8_t tmp_adr = DS1682_REG_EVT_CNTR;
	MOVLW       9
	MOVWF       timer_get_ec_value_tmp_adr_L0+0 
;timer_hw.c,48 :: 		timer_hal_read(&tmp_adr,tmp,2);
	MOVLW       timer_get_ec_value_tmp_adr_L0+0
	MOVWF       FARG_timer_hal_read_command+0 
	MOVLW       hi_addr(timer_get_ec_value_tmp_adr_L0+0)
	MOVWF       FARG_timer_hal_read_command+1 
	MOVLW       timer_get_ec_value_tmp_L0+0
	MOVWF       FARG_timer_hal_read_buffer+0 
	MOVLW       hi_addr(timer_get_ec_value_tmp_L0+0)
	MOVWF       FARG_timer_hal_read_buffer+1 
	MOVLW       2
	MOVWF       FARG_timer_hal_read_count+0 
	CALL        _timer_hal_read+0, 0
;timer_hw.c,49 :: 		return ((uint16_t) tmp[1] << 8) + (uint16_t)tmp[0];
	MOVF        timer_get_ec_value_tmp_L0+1, 0 
	MOVWF       R4 
	MOVLW       0
	MOVWF       R5 
	MOVF        R4, 0 
	MOVWF       R3 
	CLRF        R2 
	MOVF        timer_get_ec_value_tmp_L0+0, 0 
	MOVWF       R0 
	MOVLW       0
	MOVWF       R1 
	MOVF        R2, 0 
	ADDWF       R0, 1 
	MOVF        R3, 0 
	ADDWFC      R1, 1 
;timer_hw.c,50 :: 		}
L_end_timer_get_ec_value:
	RETURN      0
; end of _timer_get_ec_value

_timer_set_ec_value:

;timer_hw.c,52 :: 		void timer_set_ec_value (uint16_t _value)
;timer_hw.c,55 :: 		uint8_t tmp_adr = DS1682_REG_EVT_CNTR;
	MOVLW       9
	MOVWF       timer_set_ec_value_tmp_adr_L0+0 
;timer_hw.c,56 :: 		value_data[0] = (char) _value;
	MOVF        FARG_timer_set_ec_value__value+0, 0 
	MOVWF       timer_set_ec_value_value_data_L0+0 
;timer_hw.c,57 :: 		value_data[1] = (char) (_value >> 8);
	MOVF        FARG_timer_set_ec_value__value+1, 0 
	MOVWF       R0 
	CLRF        R1 
	MOVF        R0, 0 
	MOVWF       timer_set_ec_value_value_data_L0+1 
;timer_hw.c,59 :: 		timer_hal_write(&tmp_adr, value_data, 2);
	MOVLW       timer_set_ec_value_tmp_adr_L0+0
	MOVWF       FARG_timer_hal_write_command+0 
	MOVLW       hi_addr(timer_set_ec_value_tmp_adr_L0+0)
	MOVWF       FARG_timer_hal_write_command+1 
	MOVLW       timer_set_ec_value_value_data_L0+0
	MOVWF       FARG_timer_hal_write_buffer+0 
	MOVLW       hi_addr(timer_set_ec_value_value_data_L0+0)
	MOVWF       FARG_timer_hal_write_buffer+1 
	MOVLW       2
	MOVWF       FARG_timer_hal_write_count+0 
	CALL        _timer_hal_write+0, 0
;timer_hw.c,60 :: 		}
L_end_timer_set_ec_value:
	RETURN      0
; end of _timer_set_ec_value

_timer_timer_get_alarm_value:

;timer_hw.c,62 :: 		uint16_t timer_timer_get_alarm_value()
;timer_hw.c,64 :: 		uint8_t tmp_adr = DS1682_REG_ALARM;
	MOVLW       1
	MOVWF       timer_timer_get_alarm_value_tmp_adr_L0+0 
;timer_hw.c,66 :: 		timer_hal_read(&tmp_adr, 2, tmp);
	MOVLW       timer_timer_get_alarm_value_tmp_adr_L0+0
	MOVWF       FARG_timer_hal_read_command+0 
	MOVLW       hi_addr(timer_timer_get_alarm_value_tmp_adr_L0+0)
	MOVWF       FARG_timer_hal_read_command+1 
	MOVLW       2
	MOVWF       FARG_timer_hal_read_buffer+0 
	MOVLW       0
	MOVWF       FARG_timer_hal_read_buffer+1 
	MOVLW       timer_timer_get_alarm_value_tmp_L0+0
	MOVWF       FARG_timer_hal_read_count+0 
	CALL        _timer_hal_read+0, 0
;timer_hw.c,68 :: 		return ((uint16_t)tmp[1] << 8) + (uint16_t)tmp[0];
	MOVF        timer_timer_get_alarm_value_tmp_L0+1, 0 
	MOVWF       R4 
	MOVLW       0
	MOVWF       R5 
	MOVF        R4, 0 
	MOVWF       R3 
	CLRF        R2 
	MOVF        timer_timer_get_alarm_value_tmp_L0+0, 0 
	MOVWF       R0 
	MOVLW       0
	MOVWF       R1 
	MOVF        R2, 0 
	ADDWF       R0, 1 
	MOVF        R3, 0 
	ADDWFC      R1, 1 
;timer_hw.c,69 :: 		}
L_end_timer_timer_get_alarm_value:
	RETURN      0
; end of _timer_timer_get_alarm_value

_timer_set_alarm_value:

;timer_hw.c,79 :: 		void timer_set_alarm_value(uint32_t _value)
;timer_hw.c,82 :: 		uint8_t tmp_adr = DS1682_REG_ALARM;
	MOVLW       1
	MOVWF       timer_set_alarm_value_tmp_adr_L0+0 
;timer_hw.c,83 :: 		value_data[0] = (uint8_t) _value;
	MOVF        FARG_timer_set_alarm_value__value+0, 0 
	MOVWF       timer_set_alarm_value_value_data_L0+0 
;timer_hw.c,84 :: 		value_data[1] = (uint8_t) (_value >> 8);
	MOVF        FARG_timer_set_alarm_value__value+1, 0 
	MOVWF       R0 
	MOVF        FARG_timer_set_alarm_value__value+2, 0 
	MOVWF       R1 
	MOVF        FARG_timer_set_alarm_value__value+3, 0 
	MOVWF       R2 
	CLRF        R3 
	MOVF        R0, 0 
	MOVWF       timer_set_alarm_value_value_data_L0+1 
;timer_hw.c,85 :: 		value_data[2] = (uint8_t) (_value >> 16);
	MOVF        FARG_timer_set_alarm_value__value+2, 0 
	MOVWF       R0 
	MOVF        FARG_timer_set_alarm_value__value+3, 0 
	MOVWF       R1 
	CLRF        R2 
	CLRF        R3 
	MOVF        R0, 0 
	MOVWF       timer_set_alarm_value_value_data_L0+2 
;timer_hw.c,86 :: 		value_data[3] = (uint8_t) (_value >> 24);
	MOVF        FARG_timer_set_alarm_value__value+3, 0 
	MOVWF       R0 
	CLRF        R1 
	CLRF        R2 
	CLRF        R3 
	MOVF        R0, 0 
	MOVWF       timer_set_alarm_value_value_data_L0+3 
;timer_hw.c,88 :: 		timer_hal_write(&tmp_adr, value_data, 4);
	MOVLW       timer_set_alarm_value_tmp_adr_L0+0
	MOVWF       FARG_timer_hal_write_command+0 
	MOVLW       hi_addr(timer_set_alarm_value_tmp_adr_L0+0)
	MOVWF       FARG_timer_hal_write_command+1 
	MOVLW       timer_set_alarm_value_value_data_L0+0
	MOVWF       FARG_timer_hal_write_buffer+0 
	MOVLW       hi_addr(timer_set_alarm_value_value_data_L0+0)
	MOVWF       FARG_timer_hal_write_buffer+1 
	MOVLW       4
	MOVWF       FARG_timer_hal_write_count+0 
	CALL        _timer_hal_write+0, 0
;timer_hw.c,89 :: 		}
L_end_timer_set_alarm_value:
	RETURN      0
; end of _timer_set_alarm_value

_timer_set_write_disable:

;timer_hw.c,98 :: 		void timer_set_write_disable() {
;timer_hw.c,99 :: 		uint8_t temp = 0xAA;
	MOVLW       170
	MOVWF       timer_set_write_disable_temp_L0+0 
	MOVLW       30
	MOVWF       timer_set_write_disable_tmp_adr_L0+0 
;timer_hw.c,102 :: 		timer_hal_write(&tmp_adr, &temp, 1);
	MOVLW       timer_set_write_disable_tmp_adr_L0+0
	MOVWF       FARG_timer_hal_write_command+0 
	MOVLW       hi_addr(timer_set_write_disable_tmp_adr_L0+0)
	MOVWF       FARG_timer_hal_write_command+1 
	MOVLW       timer_set_write_disable_temp_L0+0
	MOVWF       FARG_timer_hal_write_buffer+0 
	MOVLW       hi_addr(timer_set_write_disable_temp_L0+0)
	MOVWF       FARG_timer_hal_write_buffer+1 
	MOVLW       1
	MOVWF       FARG_timer_hal_write_count+0 
	CALL        _timer_hal_write+0, 0
;timer_hw.c,103 :: 		timer_hal_write(&tmp_adr, &temp, 1);
	MOVLW       timer_set_write_disable_tmp_adr_L0+0
	MOVWF       FARG_timer_hal_write_command+0 
	MOVLW       hi_addr(timer_set_write_disable_tmp_adr_L0+0)
	MOVWF       FARG_timer_hal_write_command+1 
	MOVLW       timer_set_write_disable_temp_L0+0
	MOVWF       FARG_timer_hal_write_buffer+0 
	MOVLW       hi_addr(timer_set_write_disable_temp_L0+0)
	MOVWF       FARG_timer_hal_write_buffer+1 
	MOVLW       1
	MOVWF       FARG_timer_hal_write_count+0 
	CALL        _timer_hal_write+0, 0
;timer_hw.c,104 :: 		}
L_end_timer_set_write_disable:
	RETURN      0
; end of _timer_set_write_disable

_timer_set_write_memory_disable:

;timer_hw.c,113 :: 		void timer_set_write_memory_disable()
;timer_hw.c,115 :: 		uint8_t temp = 0xF0;
	MOVLW       240
	MOVWF       timer_set_write_memory_disable_temp_L0+0 
	MOVLW       31
	MOVWF       timer_set_write_memory_disable_tmp_adr_L0+0 
;timer_hw.c,118 :: 		timer_hal_write(&tmp_adr, &temp, 1);
	MOVLW       timer_set_write_memory_disable_tmp_adr_L0+0
	MOVWF       FARG_timer_hal_write_command+0 
	MOVLW       hi_addr(timer_set_write_memory_disable_tmp_adr_L0+0)
	MOVWF       FARG_timer_hal_write_command+1 
	MOVLW       timer_set_write_memory_disable_temp_L0+0
	MOVWF       FARG_timer_hal_write_buffer+0 
	MOVLW       hi_addr(timer_set_write_memory_disable_temp_L0+0)
	MOVWF       FARG_timer_hal_write_buffer+1 
	MOVLW       1
	MOVWF       FARG_timer_hal_write_count+0 
	CALL        _timer_hal_write+0, 0
;timer_hw.c,119 :: 		timer_hal_write(&tmp_adr, &temp, 1);
	MOVLW       timer_set_write_memory_disable_tmp_adr_L0+0
	MOVWF       FARG_timer_hal_write_command+0 
	MOVLW       hi_addr(timer_set_write_memory_disable_tmp_adr_L0+0)
	MOVWF       FARG_timer_hal_write_command+1 
	MOVLW       timer_set_write_memory_disable_temp_L0+0
	MOVWF       FARG_timer_hal_write_buffer+0 
	MOVLW       hi_addr(timer_set_write_memory_disable_temp_L0+0)
	MOVWF       FARG_timer_hal_write_buffer+1 
	MOVLW       1
	MOVWF       FARG_timer_hal_write_count+0 
	CALL        _timer_hal_write+0, 0
;timer_hw.c,120 :: 		}
L_end_timer_set_write_memory_disable:
	RETURN      0
; end of _timer_set_write_memory_disable

_alarm_output_select:

;timer_hw.c,122 :: 		int8_t alarm_output_select(uint8_t select)
;timer_hw.c,125 :: 		uint8_t tmp_adr = DS1682_REG_CONFIG;
	CLRF        alarm_output_select_tmp_adr_L0+0 
;timer_hw.c,126 :: 		timer_hal_read(&tmp_adr,&temp, 1);
	MOVLW       alarm_output_select_tmp_adr_L0+0
	MOVWF       FARG_timer_hal_read_command+0 
	MOVLW       hi_addr(alarm_output_select_tmp_adr_L0+0)
	MOVWF       FARG_timer_hal_read_command+1 
	MOVLW       alarm_output_select_temp_L0+0
	MOVWF       FARG_timer_hal_read_buffer+0 
	MOVLW       hi_addr(alarm_output_select_temp_L0+0)
	MOVWF       FARG_timer_hal_read_buffer+1 
	MOVLW       1
	MOVWF       FARG_timer_hal_read_count+0 
	CALL        _timer_hal_read+0, 0
;timer_hw.c,128 :: 		if (select == 0)
	MOVF        FARG_alarm_output_select_select+0, 0 
	XORLW       0
	BTFSS       STATUS+0, 2 
	GOTO        L_alarm_output_select0
;timer_hw.c,129 :: 		temp &= ~(1<<3);
	BCF         alarm_output_select_temp_L0+0, 3 
	GOTO        L_alarm_output_select1
L_alarm_output_select0:
;timer_hw.c,131 :: 		else if (select == 1)
	MOVF        FARG_alarm_output_select_select+0, 0 
	XORLW       1
	BTFSS       STATUS+0, 2 
	GOTO        L_alarm_output_select2
;timer_hw.c,132 :: 		temp |= (1<<3);
	BSF         alarm_output_select_temp_L0+0, 3 
	GOTO        L_alarm_output_select3
L_alarm_output_select2:
;timer_hw.c,134 :: 		else return -1;
	MOVLW       255
	MOVWF       R0 
	GOTO        L_end_alarm_output_select
L_alarm_output_select3:
L_alarm_output_select1:
;timer_hw.c,136 :: 		timer_hal_write(&tmp_adr,&temp, 1);
	MOVLW       alarm_output_select_tmp_adr_L0+0
	MOVWF       FARG_timer_hal_write_command+0 
	MOVLW       hi_addr(alarm_output_select_tmp_adr_L0+0)
	MOVWF       FARG_timer_hal_write_command+1 
	MOVLW       alarm_output_select_temp_L0+0
	MOVWF       FARG_timer_hal_write_buffer+0 
	MOVLW       hi_addr(alarm_output_select_temp_L0+0)
	MOVWF       FARG_timer_hal_write_buffer+1 
	MOVLW       1
	MOVWF       FARG_timer_hal_write_count+0 
	CALL        _timer_hal_write+0, 0
;timer_hw.c,137 :: 		return 0;
	CLRF        R0 
;timer_hw.c,138 :: 		}
L_end_alarm_output_select:
	RETURN      0
; end of _alarm_output_select

_reset_enable:

;timer_hw.c,140 :: 		void reset_enable(bool enable)
;timer_hw.c,143 :: 		uint8_t tmp_adr = DS1682_REG_CONFIG;
	CLRF        reset_enable_tmp_adr_L0+0 
;timer_hw.c,144 :: 		timer_hal_read(&tmp_adr,&temp, 1);
	MOVLW       reset_enable_tmp_adr_L0+0
	MOVWF       FARG_timer_hal_read_command+0 
	MOVLW       hi_addr(reset_enable_tmp_adr_L0+0)
	MOVWF       FARG_timer_hal_read_command+1 
	MOVLW       reset_enable_temp_L0+0
	MOVWF       FARG_timer_hal_read_buffer+0 
	MOVLW       hi_addr(reset_enable_temp_L0+0)
	MOVWF       FARG_timer_hal_read_buffer+1 
	MOVLW       1
	MOVWF       FARG_timer_hal_read_count+0 
	CALL        _timer_hal_read+0, 0
;timer_hw.c,146 :: 		if (enable == true)
	MOVF        FARG_reset_enable_enable+0, 0 
	XORLW       1
	BTFSS       STATUS+0, 2 
	GOTO        L_reset_enable4
;timer_hw.c,147 :: 		temp |= (1<<2);
	BSF         reset_enable_temp_L0+0, 2 
	GOTO        L_reset_enable5
L_reset_enable4:
;timer_hw.c,150 :: 		temp &= ~(1<<2);
	BCF         reset_enable_temp_L0+0, 2 
L_reset_enable5:
;timer_hw.c,152 :: 		timer_hal_write(&tmp_adr,&temp, 1);
	MOVLW       reset_enable_tmp_adr_L0+0
	MOVWF       FARG_timer_hal_write_command+0 
	MOVLW       hi_addr(reset_enable_tmp_adr_L0+0)
	MOVWF       FARG_timer_hal_write_command+1 
	MOVLW       reset_enable_temp_L0+0
	MOVWF       FARG_timer_hal_write_buffer+0 
	MOVLW       hi_addr(reset_enable_temp_L0+0)
	MOVWF       FARG_timer_hal_write_buffer+1 
	MOVLW       1
	MOVWF       FARG_timer_hal_write_count+0 
	CALL        _timer_hal_write+0, 0
;timer_hw.c,153 :: 		}
L_end_reset_enable:
	RETURN      0
; end of _reset_enable

_set_alarm_polarity:

;timer_hw.c,155 :: 		int8_t  set_alarm_polarity(uint8_t polarity)
;timer_hw.c,158 :: 		uint8_t tmp_adr = DS1682_REG_CONFIG;
	CLRF        set_alarm_polarity_tmp_adr_L0+0 
;timer_hw.c,159 :: 		timer_hal_read(&tmp_adr,&temp, 1);
	MOVLW       set_alarm_polarity_tmp_adr_L0+0
	MOVWF       FARG_timer_hal_read_command+0 
	MOVLW       hi_addr(set_alarm_polarity_tmp_adr_L0+0)
	MOVWF       FARG_timer_hal_read_command+1 
	MOVLW       set_alarm_polarity_temp_L0+0
	MOVWF       FARG_timer_hal_read_buffer+0 
	MOVLW       hi_addr(set_alarm_polarity_temp_L0+0)
	MOVWF       FARG_timer_hal_read_buffer+1 
	MOVLW       1
	MOVWF       FARG_timer_hal_read_count+0 
	CALL        _timer_hal_read+0, 0
;timer_hw.c,161 :: 		if (polarity == HIGH)
	MOVF        FARG_set_alarm_polarity_polarity+0, 0 
	XORLW       1
	BTFSS       STATUS+0, 2 
	GOTO        L_set_alarm_polarity6
;timer_hw.c,162 :: 		temp |= 1;
	BSF         set_alarm_polarity_temp_L0+0, 0 
	GOTO        L_set_alarm_polarity7
L_set_alarm_polarity6:
;timer_hw.c,164 :: 		else if (polarity == LOW)
	MOVF        FARG_set_alarm_polarity_polarity+0, 0 
	XORLW       0
	BTFSS       STATUS+0, 2 
	GOTO        L_set_alarm_polarity8
;timer_hw.c,165 :: 		temp &= ~(1);
	BCF         set_alarm_polarity_temp_L0+0, 0 
	GOTO        L_set_alarm_polarity9
L_set_alarm_polarity8:
;timer_hw.c,167 :: 		else return -1;
	MOVLW       255
	MOVWF       R0 
	GOTO        L_end_set_alarm_polarity
L_set_alarm_polarity9:
L_set_alarm_polarity7:
;timer_hw.c,169 :: 		timer_hal_write(&tmp_adr,&temp, 1);
	MOVLW       set_alarm_polarity_tmp_adr_L0+0
	MOVWF       FARG_timer_hal_write_command+0 
	MOVLW       hi_addr(set_alarm_polarity_tmp_adr_L0+0)
	MOVWF       FARG_timer_hal_write_command+1 
	MOVLW       set_alarm_polarity_temp_L0+0
	MOVWF       FARG_timer_hal_write_buffer+0 
	MOVLW       hi_addr(set_alarm_polarity_temp_L0+0)
	MOVWF       FARG_timer_hal_write_buffer+1 
	MOVLW       1
	MOVWF       FARG_timer_hal_write_count+0 
	CALL        _timer_hal_write+0, 0
;timer_hw.c,170 :: 		return 0;
	CLRF        R0 
;timer_hw.c,171 :: 		}
L_end_set_alarm_polarity:
	RETURN      0
; end of _set_alarm_polarity

_timer_reset_device:

;timer_hw.c,175 :: 		void timer_reset_device()
;timer_hw.c,177 :: 		uint8_t temp = 0x55;
	MOVLW       85
	MOVWF       timer_reset_device_temp_L0+0 
	MOVLW       29
	MOVWF       timer_reset_device_tmp_adr_L0+0 
;timer_hw.c,179 :: 		reset_enable(true);
	MOVLW       1
	MOVWF       FARG_reset_enable_enable+0 
	CALL        _reset_enable+0, 0
;timer_hw.c,181 :: 		timer_hal_write(&tmp_adr, &temp,1);
	MOVLW       timer_reset_device_tmp_adr_L0+0
	MOVWF       FARG_timer_hal_write_command+0 
	MOVLW       hi_addr(timer_reset_device_tmp_adr_L0+0)
	MOVWF       FARG_timer_hal_write_command+1 
	MOVLW       timer_reset_device_temp_L0+0
	MOVWF       FARG_timer_hal_write_buffer+0 
	MOVLW       hi_addr(timer_reset_device_temp_L0+0)
	MOVWF       FARG_timer_hal_write_buffer+1 
	MOVLW       1
	MOVWF       FARG_timer_hal_write_count+0 
	CALL        _timer_hal_write+0, 0
;timer_hw.c,182 :: 		timer_hal_write(&tmp_adr, &temp,1);
	MOVLW       timer_reset_device_tmp_adr_L0+0
	MOVWF       FARG_timer_hal_write_command+0 
	MOVLW       hi_addr(timer_reset_device_tmp_adr_L0+0)
	MOVWF       FARG_timer_hal_write_command+1 
	MOVLW       timer_reset_device_temp_L0+0
	MOVWF       FARG_timer_hal_write_buffer+0 
	MOVLW       hi_addr(timer_reset_device_temp_L0+0)
	MOVWF       FARG_timer_hal_write_buffer+1 
	MOVLW       1
	MOVWF       FARG_timer_hal_write_count+0 
	CALL        _timer_hal_write+0, 0
;timer_hw.c,183 :: 		}
L_end_timer_reset_device:
	RETURN      0
; end of _timer_reset_device
