//TIMER click on mikroBUS socket 1

#include "timer_hw.h"
//#define CountFromZero


sbit TIMER_EVT at RE1_bit;
sbit TIMER_ALM at RB0_bit;

char tekst[24];
unsigned long ETC;               //elapsed time counter
unsigned int EC;


void MCU_Init() {
  ANSELA = ANSELB = ANSELC = ANSELE = 0;
  PORTE = 0;
  PORTB.B0 = 1;
  
  TIMER_EVT = 1;
  I2C1_Init(100000);
  delay_ms(200);
  
  Uart1_Init(9600);
  Uart1_Write_Text("Uart ready! \r\n");
}

void main() {
  MCU_Init();
  timer_hal_init(DS1682_I2C_Adr);
  #ifdef CountFromZero
  timer_set_ec_value(0);
  timer_set_etc_value(0);
  TIMER_EVT = 0;
  delay_ms(100);
  TIMER_EVT = 1;
  delay_ms(100);
  #endif
  while(1) {
    delay_ms(2000);
    // Event counter
    Uart1_Write_Text("Event counter: ");
    EC = timer_Get_EC_Value();
    WordToStr(EC,tekst);
    UART1_Write_Text(tekst);
    UART1_Write_Text("\r\n");
    // Time counter - in quarter seconds
    ETC = timer_get_ETC_value();
    Uart1_Write_Text("Timer counter: ");
    LongWordToStr(ETC,tekst);
    UART1_Write_Text(tekst);
    UART1_Write_Text("\r\n");
  }
}