#line 1 "C:/Users/Viktor/Desktop/timer_click/PIC/timer_hal.c"
#line 1 "c:/users/viktor/desktop/timer_click/pic/timer_hal.h"
#line 1 "c:/users/public/documents/mikroelektronika/mikroc pro for pic/include/stdint.h"




typedef signed char int8_t;
typedef signed int int16_t;
typedef signed long int int32_t;


typedef unsigned char uint8_t;
typedef unsigned int uint16_t;
typedef unsigned long int uint32_t;


typedef signed char int_least8_t;
typedef signed int int_least16_t;
typedef signed long int int_least32_t;


typedef unsigned char uint_least8_t;
typedef unsigned int uint_least16_t;
typedef unsigned long int uint_least32_t;



typedef signed char int_fast8_t;
typedef signed int int_fast16_t;
typedef signed long int int_fast32_t;


typedef unsigned char uint_fast8_t;
typedef unsigned int uint_fast16_t;
typedef unsigned long int uint_fast32_t;


typedef signed int intptr_t;
typedef unsigned int uintptr_t;


typedef signed long int intmax_t;
typedef unsigned long int uintmax_t;
#line 71 "c:/users/viktor/desktop/timer_click/pic/timer_hal.h"
void timer_hal_init( uint8_t address_id );
#line 83 "c:/users/viktor/desktop/timer_click/pic/timer_hal.h"
void timer_hal_write( uint8_t *command,
 uint8_t *buffer,
 uint8_t count );
#line 97 "c:/users/viktor/desktop/timer_click/pic/timer_hal.h"
void timer_hal_read( uint8_t *command,
 uint8_t *buffer,
 uint8_t count );
#line 21 "C:/Users/Viktor/Desktop/timer_click/PIC/timer_hal.c"
static uint8_t _i2c_hw_address;
#line 31 "C:/Users/Viktor/Desktop/timer_click/PIC/timer_hal.c"
static uint8_t NACK_BIT = 0x00;
static uint8_t ACK_BIT = 0x01;
#line 69 "C:/Users/Viktor/Desktop/timer_click/PIC/timer_hal.c"
static unsigned char( *is_idle_i2c_p )( void );
static unsigned char( *start_i2c_p )( void );
static void( *stop_i2c_p )( void );
static void( *restart_i2c_p )( void );
static unsigned char( *write_i2c_p )( unsigned char data_out );
static unsigned char( *read_i2c_p )( unsigned char ack );
#line 122 "C:/Users/Viktor/Desktop/timer_click/PIC/timer_hal.c"
extern sfr sbit EVT_PIN;
extern sfr sbit ALM_PIN;
#line 132 "C:/Users/Viktor/Desktop/timer_click/PIC/timer_hal.c"
void timer_hal_init( uint8_t address_id )
{
#line 170 "C:/Users/Viktor/Desktop/timer_click/PIC/timer_hal.c"
 is_idle_i2c_p = I2C1_Is_Idle;
 start_i2c_p = I2C1_Start;
 stop_i2c_p = I2C1_Stop;
 restart_i2c_p = I2C1_Repeated_Start;
 write_i2c_p = I2C1_Wr;
 read_i2c_p = I2C1_Rd;
#line 216 "C:/Users/Viktor/Desktop/timer_click/PIC/timer_hal.c"
 _i2c_hw_address = ( address_id << 1 );

}


void timer_hal_write( uint8_t *command,
 uint8_t *buffer,
 uint8_t count )
{
 uint8_t temp[  256  ];
 uint8_t cmd_size =  1 ;
 uint16_t i = 0;
 uint8_t *temp_ptr = temp;
 uint8_t *buff_ptr = buffer;
 uint8_t *cmd_ptr = command;

 while( cmd_size-- )
 temp[ i++ ] = *( cmd_ptr++ );

 while ( count-- )
 temp[ i++ ] = *( buff_ptr++ );
#line 271 "C:/Users/Viktor/Desktop/timer_click/PIC/timer_hal.c"
 start_i2c_p();
 write_i2c_p( _i2c_hw_address |  0  );

 while( i-- )
 write_i2c_p( *( temp_ptr++ ) );

 stop_i2c_p();

}

void timer_hal_read( uint8_t *command,
 uint8_t *buffer,
 uint8_t count )
{
 uint8_t *cmd_ptr = command;
 uint8_t *buff_ptr = buffer;
 uint8_t cmd_size =  1 ;
#line 345 "C:/Users/Viktor/Desktop/timer_click/PIC/timer_hal.c"
 start_i2c_p();
 write_i2c_p( _i2c_hw_address |  0  );

 while ( cmd_size-- )
 write_i2c_p( *( cmd_ptr++ ) );

 stop_i2c_p();
 start_i2c_p();
 write_i2c_p( _i2c_hw_address |  1  );

 while( count-- > 1 )
 {
 *( buff_ptr++ ) = read_i2c_p( ACK_BIT );
 }

 *buff_ptr = read_i2c_p( NACK_BIT );

 stop_i2c_p();

}
